# Mastodon

**Diese Seite gibt einen kurzen Überblick darüber, was Mastodon ist, und erklärt ein paar grundlegende Konzepte.**

Mastodon ist der Name einer urzeitlichen [Rüsseltier-Gattung](https://de.wikipedia.org/wiki/Mastodonten) und der einer dezentralen [Social Networking und Microblogging Software](https://joinmastodon.org/).

Die Software, um die es hier natürlich geht, wird seit 2016 von [Eugen Rochko](https://mastodon.social/@Gargron) entwickelt.
Sie ist quelloffen, also Open Source.

Mastodon wird von einigen als **Microblogging-Dienst** bezeichnet. Die Möglichkeiten ähneln denen von [Twitter](https://twitter.com/), denn Nutzer*innen können in erster Linie Textbeiträge mit der Öffentlichkeit teilen.

Mastodon ist außerdem, ebenfalls ähnlich Twitter, eine Plattform zum Aufbau eines digitalen **sozialen Netzwerks**.
Nutzer\*innen folgen anderen Nutzer\*innen und abonnieren damit ihre Beiträge.

Mastodon funktioniert **dezentral**. Anders als bei Twitter oder auch Facebook gibt es nicht nur eine einzige zentrale Instanz (also die Domain `twitter.com` oder `facebook.com`), sondern es gibt viele Instanzen, die mit einander Beiträge austauschen.

Jede Mastodon-Instanz ist druch ihren **Domainnamen** von anderen Instanzen zu unterscheiden. Die Instanz GRUENE.SOCIAL heißt eben so, wiel sie im Domain Name System (DNS) die Domain `gruene.social` belegt.

Stell Dir das ein bisschen so vor, wie bei der guten, alten **E-Mail**. Hier gibt es eine Menge größere und kleinere Anbieter, die jeweils eigene Server unter dem eigenen Domainnamen (`gmail.com`, `outlook.com`, `web.de`, `mailbox.org`  etc.) betreiben.
Prinzipiell kann jeder Mensch mit den entsprechenden Kenntnissen selbst einen E-Mail-Server aufsetzen.
So ist es auch bei Mastodon.

Mastodon-Instanzen tauschen nicht nur mit anderen Mastodon-Instanzen Nachrichten aus.
Sie sind auch **kompatibel** mit anderen Plattformen, die entweder das Protokoll ActivityPub oder OStatus unterstützen.
Solche Plattformen existierten auch schon vor Mastodon, und heute gibt es eine ganze Palette davon. Weil sie ein verteiltes, dezentrales Ökosystem bilden, wird ihr Verbund auch das [Fediverse](https://de.wikipedia.org/wiki/Fediverse) genannt.
Die meisten dieser Plattformen sind wie Mastodon Open-Source-Software, was davon zeugt, dass sie von ihren Entwicklern geschaffen wurden, um die Welt ein Stück besser zu machen und den großen, zentralen Diensten eine Alternative entgegenzusetzen:

Dienste, bei denen wir selbst über unsere Daten entscheiden.
Bei denen Nutzer\*innen nicht automatisch jedes Detail ihrer Persönlichkeit an irgend ein Unternehmen verschenken.
Bei denen wir als Betreiber einer Instanz selbst die Regeln der Community festlegen können und entscheiden können, wie wir mit Verstößen gegen diese Regeln umgehen wollen.
Bei denen wir möglichst mit anderen kooperieren, anstatt Geld für den Zugang zu verlangen (bedenke zum Beispiel, dass Fotos aus Instagram-Beiträgen bis heute nicht in Twitter-Nachrichten angezeigt werden).
So unterstützt Mastodon beispielsweise den Download bzw. Export von eigenen Daten und den Umzug auf eine andere Instanz, wenn auch bislang nur teilweise.

Wer möchte, kann die Weiterentwicklung von Mastodon über [Patreon](https://www.patreon.com/mastodon) finanziell unterstützen.